BytesHelper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util
Class BytesHelper

    java.lang.Object
      org.hibernate.internal.util.BytesHelper

    public final class BytesHelper

extends Object

Method Summary
`static long` | `asLong(byte[] bytes)` Interpret the binary representation of a long.
`static byte[]` | `fromInt(int intValue)` Interpret an int as its binary form
`static byte[]` | `fromLong(long longValue)` Interpret a long as its binary form
`static byte[]` | `fromShort(int shortValue)` Interpret a short as its binary form
`static String` | `toBinaryString(byte value)`
`static String` | `toBinaryString(int value)`
`static String` | `toBinaryString(long value)`
`static int` | `toInt(byte[] bytes)` Custom algorithm used to generate an int from a series of bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toInt

    public static int toInt(byte[] bytes)

  Custom algorithm used to generate an int from a series of bytes.

  NOTE : this is different than interpreting the incoming bytes as an int value!

  Parameters:
    `bytes` - The bytes to use in generating the int.
  Returns:
    The generated int.

### fromShort

    public static byte[] fromShort(int shortValue)

  Interpret a short as its binary form

  Parameters:
    `shortValue` - The short to interpret to binary
  Returns:
    The binary

### fromInt

    public static byte[] fromInt(int intValue)

  Interpret an int as its binary form

  Parameters:
    `intValue` - The int to interpret to binary
  Returns:
    The binary

### fromLong

    public static byte[] fromLong(long longValue)

  Interpret a long as its binary form

  Parameters:
    `longValue` - The long to interpret to binary
  Returns:
    The binary

### asLong

    public static long asLong(byte[] bytes)

  Interpret the binary representation of a long.

  Parameters:
    `bytes` - The bytes to interpret.
  Returns:
    The long

### toBinaryString

    public static String toBinaryString(byte value)

### toBinaryString

    public static String toBinaryString(int value)

### toBinaryString

    public static String toBinaryString(long value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.